Get audio albums
List all audio albums for one specific audio artist.
Endpoint URL: {network.internalDNSName or network.proxyURL} received in DeviceInformation
Request Syntax
GET /v1/audioAlbumsRequest Headers
| Parameter | Description | Required |
|---|---|---|
| Accept-Encoding | Use value gzip in Accept-Encoding header to compress the response data. This reduces network traffic and improves response time.Value of type: string | false |
| Authorization | An access token with nas_read_only or nas_read_write scope as well as the File Permission with value ReadFile or FileOwner for the file or a parent.Value of type: string | true |
| If-Match | A previous response ETag or *. Return the object only if its entity tag (ETag) is the same as the one specified. Value of type: string | false |
| If-None-Match | A previous response ETag or *. Return the object only if its entity tag (ETag) is different from the one specified. Value of type: string | false |
Request Query Parameters
| Parameter | Description | Required |
|---|---|---|
| artist | List audio albums with the specified artist name. The list of artist names can be retrieved with the audioArtists endpoint. Value of type: string | true |
| fields | The fields to return. Value of type: csv Default: All fields | false |
| limit | The page size limit. Value of type: integer Default: 20 | false |
| pageToken | The pageToken obtained from the last response. Value of type: string | false |
| pretty | Whether to pretty print the response. It refers to the process of displaying source code or other items in a presentable way. Value of type: boolean Default: false | false |
200 Response
OKResponse Headers
| Parameter | Description | Required |
|---|---|---|
| Content-Type | Indicates the media type for the message body. The value will be application/json. | false |
| Etag | The ETag for the response. It is used to determine the change in file metadata and content. | false |
Response Payload
| Parameter | Description | Required |
|---|---|---|
| AudioAlbums | The audio albums array. Array of type: AudioAlbum | true |
| pageToken | The pageToken for the next request. Value of type: string | false |
Example
Sample request to list all the audio albums for one specific audio artist.Request
GET /sdk/v1/audioAlbums?pretty=true&artist=Alanis%20Morissette HTTP/1.1Host: Endpoint-URLAuthorization: Bearer 8fc0180d-7ccc-4072-b923-93643201cf9e
Response
HTTP/1.1 200 OKContent-Type: application/jsonEtag: "nbt83IkgefJTl-JOWIBYbQ"Vary: OriginDate: Fri, 09 Sep 2016 23:42:59 GMTContent-Length: 324{ "audioAlbums": [ { "name": "Billboard Hot 100 Singles 1996" }, { "name": "Billboard Hot 100 Singles 2002" }, { "name": "City of Angels" }, { "name": "Jagged Little Pill [Acoustic]" }, { "name": "Random Contemporary Mix" }, { "name": "So-Called Chaos" }, { "name": "The Collection" } ], "pageToken": ""}